/*
 * Butterworth and Chebyshev filter poles routines.
 *
 */

#ifndef FILTER_POLES_H_
#define FILTER_POLES_H_


struct filter_spec *
filter_make_spec(enum filter_type type, enum filter_approx approx, double ripple, double atten_stop, double freq_pass1, double freq_stop1, double freq_pass2, double freq_stop2);

struct transfer_func *filter_analog(struct filter_spec *spec);


#endif

